Subject: Re: [PATCH 2/4] Emphasize options and force ASCIIDOC escaping of "--"

From: Johannes Sixt <[email-masked]>
Date: Sat, 09 Nov 2013 09:13:14 +0100

Am 09.11.2013 01:48, schrieb Jason St. John:
> -`--since=<date1>` limits to commits newer than `<date1>`, and using it
> -with `--grep=<pattern>` further limits to commits whose log message
> +'\--since=<date1>' limits to commits newer than `<date1>`, and using it
> +with '\--grep=<pattern>' further limits to commits whose log message

I don't think this kind of change goes in the right direction.
Currently, the general style seems to be that options are typeset in
monospaced font. I looked at git-merge and git-rebase (and git-log, of
course). But after your change, they are typeset in italics, in the HTML
version of the manual pages.

I did not find an advice on the preferred formatting, though, except for
the last sentence in Documentation/CodingGuidelines.

-- Hannes